Bug 240658 - ".debug_loc adjusting unfinished" of libattr prevents prelinking
".debug_loc adjusting unfinished" of libattr prevents prelinking
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: prelink (Show other bugs)
4.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-19 10:58 EDT by Steve Snyder
Modified: 2012-06-20 11:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:53:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2007-05-19 10:58:28 EDT
Description of problem:

Several common utilities will not prelink due to something in the build of 
library /lib/libattr.so.1.1.0.

First, note that many binaries are not prelinked:

# grep '/lib/libacl.so' /var/log/prelink.log
/lib/libacl.so.1                                             0074a000-0074f1d4
/usr/sbin/prelink: Could not prelink /lib/libacl.so.1 because its dependency /
lib/libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /bin/cp because its dependency /lib/
libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /bin/vi because its dependency /lib/
libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/setfacl because its dependency /
lib/libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/vim because its dependency /lib/
libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/spax because its dependency /lib/
libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/getfacl because its dependency /
lib/libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/install because its dependency /
lib/libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/chacl because its dependency /lib/
libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/star because its dependency /lib/
libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/dir because its dependency /lib/
libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /bin/ls because its dependency /lib/
libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/X11R6/bin/gvim because its dependency 
/lib/libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/vdir because its dependency /lib/
libacl.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /bin/mv because its dependency /lib/
libacl.so.1 could not be prelinked

Then note the problem that prevents the prelinking of the /lib/libattr.so.1.1.0 
dependency:

# grep '/lib/libattr' /var/log/prelink.log
/lib/libattr.so.1                                            00744000-00747650
Prelinking /lib/libattr.so.1.1.0
/usr/sbin/prelink: /lib/libattr.so.1.1.0: .debug_loc adjusting unfinished
/usr/sbin/prelink: Could not prelink /usr/bin/attr because its dependency /lib/
libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/consolehelper because its 
dependency /lib/libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /lib/libacl.so.1 because its dependency /
lib/libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/getfattr because its dependency /
lib/libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/userpasswd because its dependency 
/lib/libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/userinfo because its dependency /
lib/libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/usermount because its dependency /
lib/libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/sbin/userhelper because its 
dependency /lib/libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/pam-panel-icon because its 
dependency /lib/libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/setfattr because its dependency /
lib/libattr.so.1 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/consolehelper-gtk because its 
dependency /lib/libattr.so.1 could not be prelinked


Version-Release number of selected component (if applicable):

prelink-0.3.3-0.EL4 (and libattr-2.4.16-3.1.el4).

How reproducible:

Always

Steps to Reproduce:
1. Install RHEL 4.5 and all its updates.
2. After the next run of the prelink cron job, examine /var/log/prelink.log.
3. Note failure to prelink many binaries, due to the /lib/libattr.so.1.1.0 
dependency.

  
Actual results:

Many programs and libraries not prelinked.

Expected results:

The programs and libraries should be prelinked.

Additional info:

The library /usr/X11R6/lib/libxcin.so.0.0.0 also shows that ".debug_loc 
adjusting unfinished" notation, but that failure has little impact beyond the 
library itself.
Comment 1 John Horne 2007-12-03 09:49:51 EST
We currently have 2 RHEL4 servers which have prelink problems giving the
'.debug_loc adjusting unfinished' error. This has only started to occur after
the servers automatically updated to RHEL 4.6 several days ago.

Example:

 /usr/sbin/prelink /usr/bin/less
 /usr/sbin/prelink: /usr/lib/libncursesw.so.5.4: .debug_loc adjusting unfinished


John.

Comment 2 Steve Snyder 2007-12-17 17:10:54 EST
Yes, the libncurses* libraries in particular are problematic in 4.6:

# grep libncurses /var/log/prelink.log
/usr/lib/libncurses.so.5.4                                   03ac3000-03b0378c
/usr/lib/libncursesw.so.5.4                                  00536000-0058086c
Prelinking /usr/lib/libncursesw.so.5.4
/usr/sbin/prelink: /usr/lib/libncursesw.so.5.4: .debug_loc adjusting unfinished
/usr/sbin/prelink: Could not prelink /usr/bin/mutt because its dependency
/usr/lib/libncursesw.so.5.4 could not be prelinked
Prelinking /usr/lib/libncurses.so.5.4
/usr/sbin/prelink: /usr/lib/libncurses.so.5.4: .debug_loc adjusting unfinished
/usr/sbin/prelink: Could not prelink /usr/bin/termidx because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/gdbtui because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/vte/iso8859mode because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/libpisock.so.8.0.5 because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/nano because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/slabtop because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/libpanel.so.5.4 because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/gnuserv because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/escputil because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/libpisync.so.0.0.1 because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/rpdump because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/units because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/libvte.so.4.4.0 because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/aumix because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/libform.so.5.4 because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/octave-2.1.57/liboctave.so.2.1.57
because its dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/aspell because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/lib5250.so.0.0.0 because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /sbin/parted because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/crash because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/mysql because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/ncftpbookmarks because its
dependency /usr/lib/libncursesw.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/ipmitool because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/setterm because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/sbin/ipmievd because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /sbin/divalogd because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/screen because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/urlview because its dependency
/usr/lib/libncursesw.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/lftp because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/vte/nativeecho because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/xrestop because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/clear because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/joe because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/etags.xemacs because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/libmenu.so.5.4 because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/bc because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/movemail because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/runscript because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/gdb because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/emacs-21.3 because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/iusql because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/vte/utf8mode because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/ul because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/cvtmail because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/fakemail because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/sbin/imon because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/alsamixer because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/ftp because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/wakeup because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/pico because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/lynx because its dependency
/usr/lib/libncursesw.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/ipmi_ui because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/sbin/mtr because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/cscope because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/tack because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/sqlite3 because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/gnuclient because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/mikmod because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/yow because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/top because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/vim because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /sbin/divaload because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/kermit because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/emacs-nox-21.3 because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /sbin/divalog because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/pinfo because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/vte/interpret because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/minicom because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/gphoto2 because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /sbin/partprobe because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/ellcc because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/tset because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/X11R6/bin/xmtr because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/tic because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/wacdump because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/sorted-doc because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/digest-doc because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/pilot because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /sbin/eiconctrl because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/statserial because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/isql because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/vte/vterdb because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/infokey because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/tput because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/c3270 because its dependency
/usr/lib/libncursesw.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/vbox because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/sbin/iptstate because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/toe because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/X11R6/bin/gvim because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/make-docfile because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/less because its dependency
/usr/lib/libncursesw.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/dialog because its dependency
/usr/lib/libncursesw.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/xidump because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/hexl because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/profile because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/rpload because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/info because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/xemacs-21.4.15 because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /bin/zsh because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/pine because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/pstree because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/gnuplot because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/infocmp because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/vte/utf8echo because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/ascii-xfr because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/pstree.x11 because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink
/usr/lib/xemacs-21.4.15/i386-redhat-linux/mmencode because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /sbin/multipathd because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/xemacs-nox-21.4.15 because its
dependency /usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/ootags because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/sbin/lvm because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /sbin/powerflute because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/watch because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/bin/ddd because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked
/usr/sbin/prelink: Could not prelink /usr/lib/vte/slowcat because its dependency
/usr/lib/libncurses.so.5.4 could not be prelinked

Comment 3 Denice 2008-04-02 19:58:56 EDT
I see this same problem on 4.6 nodes:
# cat /etc/redhat-release 
Red Hat Enterprise Linux ES release 4 (Nahant Update 6)

This is associated with the nuisance problem of 'rpm -V' reporting prelink
problems; e.g. with mutt

# rpm -V mutt
prelink: /usr/bin/mutt: at least one of file's dependencies has changed since
prelinking
S.?.....    /usr/bin/mutt
prelink: /usr/bin/urlview: at least one of file's dependencies has changed since
prelinking
S.?.....    /usr/bin/urlview

# grep mutt /var/log/prelink.log.1 
/usr/sbin/prelink: Could not prelink /usr/bin/mutt because its dependency
/usr/lib64/libncursesw.so.5 could not be prelinked


I have 42 binaries mentioned in this kind of unclean 'rpm -V' output.

The temporary solution to getting clean 'rpm -V' is to undo the prelink. 
Prelinking again still provokes a warning message; however afterwards the 'rpm
-V' output is clean:

# prelink -u /usr/bin/mutt 
# prelink -u /usr/bin/urlview
# rpm -V  mutt
# prelink  /usr/bin/urlview
prelink: /usr/lib64/libncursesw.so.5.4: .debug_loc adjusting unfinished
# prelink  /usr/bin/mutt 
prelink: /usr/lib64/libncursesw.so.5.4: .debug_loc adjusting unfinished
# rpm -V  mutt
Comment 4 Jiri Pallich 2012-06-20 11:53:06 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.